<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>Framework: framework::sensor::FlashLedMessage Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Framework
   </div>
   <div id="projectbrief">Framework drone</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classframework_1_1sensor_1_1_flash_led_message.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Properties</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classframework_1_1sensor_1_1_flash_led_message-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">framework::sensor::FlashLedMessage Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Inheritance diagram for framework::sensor::FlashLedMessage:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
 <div class="center">
  <img src="classframework_1_1sensor_1_1_flash_led_message.png" usemap="#framework::sensor::FlashLedMessage_map" alt=""/>
  <map id="framework::sensor::FlashLedMessage_map" name="framework::sensor::FlashLedMessage_map">
<area href="classframework_1_1core_1_1_message.html" alt="framework::core::Message" shape="rect" coords="0,0,224,24"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a96ea4db5c731ff7ef55c89122e173353"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a96ea4db5c731ff7ef55c89122e173353"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>FlashLedMessage</b> (unsigned int ledId, unsigned int onTime, unsigned int offTime)</td></tr>
<tr class="separator:a96ea4db5c731ff7ef55c89122e173353"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9e97beed4fbf6ff3c9b0efee2c52ec3c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9e97beed4fbf6ff3c9b0efee2c52ec3c"></a>
unsigned int&#160;</td><td class="memItemRight" valign="bottom"><b>GetLedId</b> () const </td></tr>
<tr class="separator:a9e97beed4fbf6ff3c9b0efee2c52ec3c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f936af3afd9283cd861f955aca9b571"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6f936af3afd9283cd861f955aca9b571"></a>
unsigned int&#160;</td><td class="memItemRight" valign="bottom"><b>GetOnTime</b> () const </td></tr>
<tr class="separator:a6f936af3afd9283cd861f955aca9b571"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaa1eb01569f1153e786d4bc075121d19"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aaa1eb01569f1153e786d4bc075121d19"></a>
unsigned int&#160;</td><td class="memItemRight" valign="bottom"><b>GetOffTime</b> () const </td></tr>
<tr class="separator:aaa1eb01569f1153e786d4bc075121d19"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4cc498eec6791f185828946185fe28ff"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4cc498eec6791f185828946185fe28ff"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>SetLedId</b> (unsigned int ledId)</td></tr>
<tr class="separator:a4cc498eec6791f185828946185fe28ff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a72590f08e06c3dcfb986ac8de29344a0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a72590f08e06c3dcfb986ac8de29344a0"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>SetOnTime</b> (unsigned int onTime)</td></tr>
<tr class="separator:a72590f08e06c3dcfb986ac8de29344a0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a39fbefbbc0474cc5a0913b3001539257"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a39fbefbbc0474cc5a0913b3001539257"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>SetOffTime</b> (unsigned int offTime)</td></tr>
<tr class="separator:a39fbefbbc0474cc5a0913b3001539257"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classframework_1_1core_1_1_message"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classframework_1_1core_1_1_message')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classframework_1_1core_1_1_message.html">framework::core::Message</a></td></tr>
<tr class="memitem:a959c9ae17b44267862aa3364c513c0f6 inherit pub_methods_classframework_1_1core_1_1_message"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a959c9ae17b44267862aa3364c513c0f6"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>Message</b> (unsigned int myBufferSize)</td></tr>
<tr class="separator:a959c9ae17b44267862aa3364c513c0f6 inherit pub_methods_classframework_1_1core_1_1_message"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_attribs_classframework_1_1core_1_1_message"><td colspan="2" onclick="javascript:toggleInherit('pub_attribs_classframework_1_1core_1_1_message')"><img src="closed.png" alt="-"/>&#160;Public Attributes inherited from <a class="el" href="classframework_1_1core_1_1_message.html">framework::core::Message</a></td></tr>
<tr class="memitem:a396b6739aaf4a67b7b09b88192d491ec inherit pub_attribs_classframework_1_1core_1_1_message"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a396b6739aaf4a67b7b09b88192d491ec"></a>
char *&#160;</td><td class="memItemRight" valign="bottom"><b>buffer</b></td></tr>
<tr class="separator:a396b6739aaf4a67b7b09b88192d491ec inherit pub_attribs_classframework_1_1core_1_1_message"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae69b4673ae244b33e1269fe212c30c0e inherit pub_attribs_classframework_1_1core_1_1_message"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae69b4673ae244b33e1269fe212c30c0e"></a>
size_t&#160;</td><td class="memItemRight" valign="bottom"><b>bufferSize</b></td></tr>
<tr class="separator:ae69b4673ae244b33e1269fe212c30c0e inherit pub_attribs_classframework_1_1core_1_1_message"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespaceframework.html">framework</a></li><li class="navelem"><a class="el" href="namespaceframework_1_1sensor.html">sensor</a></li><li class="navelem"><a class="el" href="classframework_1_1sensor_1_1_flash_led_message.html">FlashLedMessage</a></li>
    <li class="footer">Generated on Tue Apr 12 2016 16:29:00 for Framework by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.7 </li>
  </ul>
</div>
</body>
</html>
